﻿<Window x:Class="ClassicWarcraftMagicImmuneMaskGenerator.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:ClassicWarcraftMagicImmuneMaskGenerator"
        mc:Ignorable="d"
        Title="MainWindow" SizeToContent="WidthAndHeight" d:DataContext="{d:DesignInstance local:MainWindowViewModel}">
    <Grid>
		<StackPanel>
			<ItemsControl ItemsSource="{Binding Path=Immunity}" BorderThickness="0">
				<ItemsControl.ItemTemplate>
					<DataTemplate>
						<CheckBox Content="{Binding Path=Name}" IsChecked="{Binding Path=IsChecked}" Margin="5 5 0 0" />
					</DataTemplate>
				</ItemsControl.ItemTemplate>
			</ItemsControl>
			<DockPanel>
				<Label Content="Uint: "/>
                <TextBox Text="{Binding Path=ImmunityValue, UpdateSourceTrigger=PropertyChanged}" />
			</DockPanel>
        </StackPanel>
    </Grid>
</Window>
